/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.ClientToDsp;

import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record6;
import org.jooq.Row6;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ClientToDspRecord extends UpdatableRecordImpl<ClientToDspRecord> implements Record6<Integer, Integer, String, String, Timestamp, Timestamp> {

    private static final long serialVersionUID = 580885973;

    /**
     * Setter for <code>CLIENT_TO_DSP.ID</code>.
     */
    public void setId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>CLIENT_TO_DSP.ID</code>.
     */
    public Integer getId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>CLIENT_TO_DSP.ANAG_CLIENT_ID</code>.
     */
    public void setAnagClientId(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>CLIENT_TO_DSP.ANAG_CLIENT_ID</code>.
     */
    public Integer getAnagClientId() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>CLIENT_TO_DSP.IDDSP</code>.
     */
    public void setIddsp(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>CLIENT_TO_DSP.IDDSP</code>.
     */
    public String getIddsp() {
        return (String) get(2);
    }

    /**
     * Setter for <code>CLIENT_TO_DSP.LICENCE</code>.
     */
    public void setLicence(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>CLIENT_TO_DSP.LICENCE</code>.
     */
    public String getLicence() {
        return (String) get(3);
    }

    /**
     * Setter for <code>CLIENT_TO_DSP.START_DATE</code>.
     */
    public void setStartDate(Timestamp value) {
        set(4, value);
    }

    /**
     * Getter for <code>CLIENT_TO_DSP.START_DATE</code>.
     */
    public Timestamp getStartDate() {
        return (Timestamp) get(4);
    }

    /**
     * Setter for <code>CLIENT_TO_DSP.END_DATE</code>.
     */
    public void setEndDate(Timestamp value) {
        set(5, value);
    }

    /**
     * Getter for <code>CLIENT_TO_DSP.END_DATE</code>.
     */
    public Timestamp getEndDate() {
        return (Timestamp) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record6 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row6<Integer, Integer, String, String, Timestamp, Timestamp> fieldsRow() {
        return (Row6) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row6<Integer, Integer, String, String, Timestamp, Timestamp> valuesRow() {
        return (Row6) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return ClientToDsp.CLIENT_TO_DSP.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return ClientToDsp.CLIENT_TO_DSP.ANAG_CLIENT_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return ClientToDsp.CLIENT_TO_DSP.IDDSP;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return ClientToDsp.CLIENT_TO_DSP.LICENCE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field5() {
        return ClientToDsp.CLIENT_TO_DSP.START_DATE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field6() {
        return ClientToDsp.CLIENT_TO_DSP.END_DATE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getAnagClientId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getIddsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getLicence();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component5() {
        return getStartDate();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component6() {
        return getEndDate();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getAnagClientId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getIddsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getLicence();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value5() {
        return getStartDate();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value6() {
        return getEndDate();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord value1(Integer value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord value2(Integer value) {
        setAnagClientId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord value3(String value) {
        setIddsp(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord value4(String value) {
        setLicence(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord value5(Timestamp value) {
        setStartDate(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord value6(Timestamp value) {
        setEndDate(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ClientToDspRecord values(Integer value1, Integer value2, String value3, String value4, Timestamp value5, Timestamp value6) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached ClientToDspRecord
     */
    public ClientToDspRecord() {
        super(ClientToDsp.CLIENT_TO_DSP);
    }

    /**
     * Create a detached, initialised ClientToDspRecord
     */
    public ClientToDspRecord(Integer id, Integer anagClientId, String iddsp, String licence, Timestamp startDate, Timestamp endDate) {
        super(ClientToDsp.CLIENT_TO_DSP);

        set(0, id);
        set(1, anagClientId);
        set(2, iddsp);
        set(3, licence);
        set(4, startDate);
        set(5, endDate);
    }
}
